이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: ListBillingItemIds
- 1.1: 1.0
- 2: ListOffering
- 2.1: 1.0
- 3: ListReportPrice
- 3.1: 1.0
1 - ListBillingItemIds
1.1 - 1.0
get /v1/reports/billing-item-ids
Description
Get billing item ID list.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BillingItemIdsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/reports/billing-item-ids
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"
Example HTTP response
Response 200
{
"billing_item_ids": "VIRTUAL_SERVER"
}
2 - ListOffering
2.1 - 1.0
get /v1/reports/offerings
Description
Get offering list.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OfferingResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/reports/offerings
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"
Example HTTP response
Response 200
{
"offerings": [
"PS",
"PP",
"PG"
]
}
3 - ListReportPrice
3.1 - 1.0
get /v1/reports/prices
Description
Get prices with optional filtering by billing_item_id and offering.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | billing_item_id optional | Filter by billing item ID Example : VIRTUAL_SERVER | any of [string, null] | None |
| query | offering optional | Filter by offering type (PS/PP/PG) Example : PP | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReportPriceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/reports/prices
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"prices": "VIRTUAL_SERVER",
"size": 20,
"sort": [
"created_at:asc"
],
"total_pages": 10
}